export interface MonkeyEcxConfigProgram {
    token: string;
    name: string;
    type: string;
    register: {
        seller: {
            types: string[];
            documentTypes: string[];
            legalNatures: string[];
        };
        sponsor: {
            types: string[];
        };
        buyer: {
            calculationTypes: string[];
            legalNatures: string[];
            types: string[];
        };
    };
    settings: {
        editSponsorTax: boolean;
    };
}
export interface MonkeyEcxConfigTheme {
    logos: {
        favicon: string;
        toolbar: string;
        login: string;
        footer: string;
    };
}
export interface MonkeyEcxConfigSupport {
    phones?: {
        attendant?: string;
        numbers?: string[];
    }[];
    emails?: {
        attendant?: string;
        recipients?: string[];
    }[];
    information?: {
        message?: string;
        action?: string;
    };
}
export interface MonkeyEcxConfigi18n {
    lang?: string;
    currency?: string;
    'google-chart-language'?: string;
}
export interface MonkeyEcxConfigLogs {
    enabled: boolean;
}
export interface MonkeyEcxConfig {
    program?: MonkeyEcxConfigProgram;
    theme?: MonkeyEcxConfigTheme;
    support?: MonkeyEcxConfigSupport;
    i18n?: MonkeyEcxConfigi18n;
    logs?: MonkeyEcxConfigLogs;
}
