import { ActivatedRouteSnapshot, Router, RouterStateSnapshot } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { BehaviorSubject } from 'rxjs';
import { MonkeyEcxErrorResponse, MonkeyEcxHandledErrorResponse, MonkeyEcxRequestPaged, MonkeyEcxRequestSchedule, MonkeyEcxResponsePaged, MonkeyEcxTokenCredentials, MonkeyEcxTranslateOptions } from '../../interfaces';
import { MonkeyEcxTokenStorageService } from '../storage';
import { MonkeyEcxRequestScheduleService } from '../schedules';
import { MonkeyEcxRequestQueueHandlingService } from '../request-queue';
import { MonkeyEcxFeatureToggleService } from '../config/monkeyecx-feature-toggle.service';
import { MonkeyEcxService } from '../monkeyecx-service.service';
export declare class MonkeyEcxCommonsService {
    monkeyecxService?: MonkeyEcxService;
    tokenStorage?: MonkeyEcxTokenStorageService;
    otherArgs?: {
        router?: Router;
        schedule?: {
            service: MonkeyEcxRequestScheduleService;
            options?: {
                clearOnChangeRoute?: boolean;
            };
        };
        queue?: {
            service: MonkeyEcxRequestQueueHandlingService;
        };
    };
    private flagValidator;
    __data: any | any[];
    __params: any | any[];
    __error: MonkeyEcxErrorResponse;
    __handledError: MonkeyEcxHandledErrorResponse;
    __page: MonkeyEcxResponsePaged;
    __search: any;
    __requestPaged: MonkeyEcxRequestPaged;
    __onSearchChanged$: BehaviorSubject<any>;
    __onDataChanged$: BehaviorSubject<any>;
    __onLoadingInProgress$: BehaviorSubject<boolean>;
    __onDataDeleted$: BehaviorSubject<any>;
    __onErrorChanged$: BehaviorSubject<any>;
    __onGovernmentIdDataChanged$: BehaviorSubject<any>;
    __onZipCodeDataChanged$: BehaviorSubject<any>;
    __oni18nDataChanged$: BehaviorSubject<any>;
    __onDoSearch$: BehaviorSubject<MonkeyEcxRequestPaged>;
    __onDoPagination$: BehaviorSubject<Function>;
    __tokenCredentials: MonkeyEcxTokenCredentials;
    __schedule: MonkeyEcxRequestSchedule;
    __i18n: any;
    constructor(monkeyecxService?: MonkeyEcxService, tokenStorage?: MonkeyEcxTokenStorageService, otherArgs?: {
        router?: Router;
        schedule?: {
            service: MonkeyEcxRequestScheduleService;
            options?: {
                clearOnChangeRoute?: boolean;
            };
        };
        queue?: {
            service: MonkeyEcxRequestQueueHandlingService;
        };
    });
    private handleInit;
    private getRole;
    private allowedSecurityAccess;
    private navigateToErrorPage;
    setPage(requestPaged: MonkeyEcxRequestPaged): this;
    nextPage(): boolean;
    getEmbeddedData(data: any, field: string): any[] | any;
    getNormalizedUrl(url: string): string;
    clear(clearData: boolean): void;
    resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot, otherArgs?: {
        callbackMain: Function;
        router?: Router;
        security?: {
            roles: string[];
            byExclusion?: boolean;
        };
        callbackPagination?: Function;
        translateOptions?: MonkeyEcxTranslateOptions;
        feature?: {
            service: MonkeyEcxFeatureToggleService;
            flag: string;
        };
    }): void;
    getHTTPHeaderApplicationPDF(): Object;
    genericMethod(link: any, data?: any, callback?: Function): void;
    geti18n(translateService: TranslateService, keys: string | string[]): void;
}
